unit PrintScalingUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TPrintScalingDialog = class(TForm)
    PropButton: TButton;
    PageButton: TButton;
    NoButton: TButton;
    CancelButton: TBitBtn;
    procedure PropButtonClick(Sender: TObject);
    procedure PageButtonClick(Sender: TObject);
    procedure NoButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute(Owner: TForm): Boolean;
  end;

var
  PrintScalingDialog: TPrintScalingDialog;

implementation

{$R *.DFM}

procedure TPrintScalingDialog.PropButtonClick(Sender: TObject);
begin
  PrintScale := poProportional
end;

procedure TPrintScalingDialog.PageButtonClick(Sender: TObject);
begin
  PrintScale := poPrintToFit
end;

procedure TPrintScalingDialog.NoButtonClick(Sender: TObject);
begin
  PrintScale := poNone
end;

function TPrintScalingDialog.Execute(Owner: TForm): Boolean;
begin
  Self := TPrintScalingDialog.Create(Owner);
  PrintScale := Owner.PrintScale;
  if ShowModal = mrOk
  then
   begin
     Owner.PrintScale := PrintScale;
     Result := True
   end
  else Result := False;
  Free;
end;

procedure TPrintScalingDialog.FormShow(Sender: TObject);
begin
  case PrintScale of
   poProportional: PropButton.SetFocus;
   poPrintToFit:   PageButton.SetFocus;
   poNone:         NoButton.SetFocus;
  end
end;

end.
